Die Suche ergab 31 Treffer

von hansdampf
Sa 6. Jul 2013, 22:45
Forum: Gambas in Verbindung mit Linux
Thema: aktuelles Gambas für Puppylinux
Antworten: 37
Zugriffe: 35302

Re: aktuelles Gambas für Puppylinux

Hallo tux_ nach einiger Zeit melde ich mich mal wieder zu diesem Thema. Ein Mitglied der Puppy-Community hat für mein Puppy eine Version 3.41 erstellt. Damit läuft alles wie gewünscht. Das Gambas 3.41 ist aber 108 MB groß und es sieht so aus als ob man zum erstellten Programm noch relativ viel libs ...
von hansdampf
Di 11. Jun 2013, 16:09
Forum: Gambas in Verbindung mit Linux
Thema: aktuelles Gambas für Puppylinux
Antworten: 37
Zugriffe: 35302

Re: aktuelles Gambas für Puppylinux

Hallo tux_ erst mal vielen Dank für deinen Versuch! Schade, dass das neue Gambas offensichtlich nicht mehr unter Puppy läuft. Inzwischen habe ich mich mal mit ein paar anderen Basicsystemen beschäftigt. KBasic läuft. Das ganz neue PureBasic 5.11 läuft ebenfalls ohne Probleme. Schön ist an PureBasic,...
von hansdampf
Fr 7. Jun 2013, 14:13
Forum: Gambas in Verbindung mit Linux
Thema: aktuelles Gambas für Puppylinux
Antworten: 37
Zugriffe: 35302

Re: aktuelles Gambas für Puppylinux

Hallu tux_

habe Purebasic getestet.
Ist alles etwas umständlicher und hat sonst auch noch einige Nachteile.
Vorteil wäre, dass es auch unter Windows und unter Puppy läuft.
Bist du schon weiter mit der Erstellung?

LG

hansdampf
von hansdampf
Di 4. Jun 2013, 14:06
Forum: Gambas in Verbindung mit Linux
Thema: aktuelles Gambas für Puppylinux
Antworten: 37
Zugriffe: 35302

Re: aktuelles Gambas für Puppylinux

Also wenn ich es richtig verstehe dann greift ein dynamischer Link auf eine Datei zu die bereits im Puppylinux vorhanden sein muss. Bei einem statischem Link wird die Datei mit dem Gambas mitgeliefert und wird daher immer gefunden. Warum packst du die erforderlichen Dateien nicht einfach in das gewü...
von hansdampf
Fr 31. Mai 2013, 19:56
Forum: Gambas in Verbindung mit Linux
Thema: aktuelles Gambas für Puppylinux
Antworten: 37
Zugriffe: 35302

Re: aktuelles Gambas für Puppylinux

Ich habe am Montag erst wieder Zugang zu einem i686-Rechner und moechte ungern meine lokale 64-Bit Gambas-Konfiguration zum Cross-Kompilieren aufsetzen. Mach dir mal nicht zu viel Arbeit! Nur wenn du die Zeit über hast! Habe übrigens gerade mal testweise PureBasic geladen (28MB als Archiv). Einfach...
von hansdampf
Fr 31. Mai 2013, 18:53
Forum: Gambas in Verbindung mit Linux
Thema: aktuelles Gambas für Puppylinux
Antworten: 37
Zugriffe: 35302

Re: aktuelles Gambas für Puppylinux

Hallo tux_

gibt es einen Zwischenbericht oder hast du aufgegeben?

LG

Wolfgang
von hansdampf
Di 28. Mai 2013, 16:31
Forum: Gambas in Verbindung mit Linux
Thema: aktuelles Gambas für Puppylinux
Antworten: 37
Zugriffe: 35302

Re: aktuelles Gambas für Puppylinux

tux_ hat geschrieben:Ich brauche noch das Ergebnis von

Code: Alles auswählen

uname -m
in der Shell.
Ergebnis: i686
Kernel ist: 2.6.33.2 falls das interessant ist.

LG

hansdampf
von hansdampf
Mo 27. Mai 2013, 14:15
Forum: Gambas in Verbindung mit Linux
Thema: aktuelles Gambas für Puppylinux
Antworten: 37
Zugriffe: 35302

Re: aktuelles Gambas für Puppylinux

Hallo Tux, dann sehe ich wirklich nur noch eine Möglichkeit ein System mit statischen Links. Es kann Schaden an deinen Konfigurationsdateien (z.B. unter ~/.config) verursachen Das ist kein Problem, weil mein Puppy selbstheilend ist. Nach dem nächsten booten ist alles wieder weg! Sehr praktisch und s...
von hansdampf
So 26. Mai 2013, 14:49
Forum: Gambas in Verbindung mit Linux
Thema: aktuelles Gambas für Puppylinux
Antworten: 37
Zugriffe: 35302

Re: aktuelles Gambas für Puppylinux

Mir ist da noch etwas eingefallen. Es gibt ja ein Gambas.2.7.1 welches unter Puppy läuft. Wenn du dir das mal ansehen würdest, könnte es helfen zu ermitteln, was wo fehlt? Könnte es auf mein dropbox laden. Hier der Link: https://www.dropbox.com/sh/4sunxh2fijgporx/gkZfsJWin9 Es ist das Archiv: "usr.t...
von hansdampf
Sa 25. Mai 2013, 20:43
Forum: Gambas in Verbindung mit Linux
Thema: aktuelles Gambas für Puppylinux
Antworten: 37
Zugriffe: 35302

Re: aktuelles Gambas für Puppylinux

Hallo tux_ leider sieht es so aus als ob das mit dem compilieren nichts wird! Die drei Pakete kann ich nicht finden bzw. gibt es ja noch viele andere fehlende Dateien. Ich muss auch gestehen, dass ich die ganze Sache mit dem compilieren für jedes einzelne Linuxsystem nicht so ganz verstehe. Es gibt ...
von hansdampf
Fr 17. Mai 2013, 21:37
Forum: Projekte und Code-Schnipsel
Thema: Programmideen und GUI gestalltung...
Antworten: 9
Zugriffe: 18238

Re: Programmideen und GUI gestalltung...

Wie wäre es denn mit einem GUI-Designer für Bash? Für Bash gibt es, meines Wissens nach, bisher keine Entwicklungsumgebung um GUI per Drag and Drop zusammen zu stellen. Für einen Anfänger wäre es eine feine Sache einfache GUIs eben schnell für Bash erstellen zu können, da ja dafür anders als bei Gam...
von hansdampf
Do 16. Mai 2013, 19:57
Forum: Gambas in Verbindung mit Linux
Thema: aktuelles Gambas für Puppylinux
Antworten: 37
Zugriffe: 35302

Re: aktuelles Gambas für Puppylinux

Datei wird nicht erzeugt.

LG

hansdampf
von hansdampf
Do 16. Mai 2013, 18:46
Forum: Gambas in Verbindung mit Linux
Thema: aktuelles Gambas für Puppylinux
Antworten: 37
Zugriffe: 35302

Re: aktuelles Gambas für Puppylinux

Erste Erfolge:

Code: Alles auswählen

PKG_CONFIG_PATH=/opt/qt4/lib/pkgconfig/ pkg-config --modversion QtCore
liefert als Ergebnis: 4.8.0

Was jetzt?
von hansdampf
Do 16. Mai 2013, 16:40
Forum: Gambas in Verbindung mit Linux
Thema: aktuelles Gambas für Puppylinux
Antworten: 37
Zugriffe: 35302

Re: aktuelles Gambas für Puppylinux

Ja, es sieht ganz schlecht aus!
QtCore.pc wird einfach nicht gefunden.
Wenn ich "pkg-config --version" eingebe kommt als Rückmeldung 0.22

LG

Wolfgang
von hansdampf
Di 14. Mai 2013, 19:36
Forum: Gambas in Verbindung mit Linux
Thema: aktuelles Gambas für Puppylinux
Antworten: 37
Zugriffe: 35302

Re: aktuelles Gambas für Puppylinux

Hallo tux_ pkg-config ist jetzt da! sh-4.1# pkg-config --modversion QtCore Package QtCore was not found in the pkg-config search path. Perhaps you should add the directory containing `QtCore.pc' to the PKG_CONFIG_PATH environment variable No package 'QtCore' found Wo trage ich den search path ein? L...